[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TMultiReadExclusiveWriteSynchronizer.Endwrite

Release write access to the resource

## Declaration

Source position: systhrdh.inc line 47

`public procedure TMultiReadExclusiveWriteSynchronizer.Endwrite;`

## Description

Beginwrite is the implementation of IReadWriteSync.EndWrite. It simply leaves the critical section.

## Errors

None.

## See also

IReadWriteSync.EndWrite |  | End a write operation.
BeginWrite |  | Request write access to the resource.

Documentation generated on: Feb 26 2014